# updatePlayerMoney | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function updatePlayerMoney

- updatePlayerMoney(
  changeValue: number,
  playSound?: boolean,
  showMessage?: boolean,
  ): void

  Will update player money, and animate change (sound optional)

  #### Parameters

  - changeValue: number
  - playSound: boolean = true
  - showMessage: boolean = true

  #### Returns void

  - Defined in src/data/mystery-encounters/utils/encounter-phase-utils.ts:481